-----------------------------------------------------------------------------

Aloft:RegisterDB("AloftDB")

-----------------------------------------------------------------------------

Aloft:RegisterDefaults('profile', 
	{
		nameplateText =
		{
			visible			= true,
			font			= "Arial Narrow",
			fontSize		= 10,
			shadow			= false,
			alignment		= "LEFT",
			outline			= "Normal",
			offsets =
			{
				left		= 0,
				right		= 0,
				vertical	= 0,
			},
			overrideColors	= true,
			colors =
			{
				friendlyPlayer	= { 1, 1, 1 },
				friendlyNPC		= { 1, 1, 1 },
				friendlyBoss	= { 1, 1, 1 },
				hostile			= { 1, 1, 1 },
				hostileBoss		= { 1, 1, 1 },
				neutral			= { 1, 1, 1 },
				groupPet		= { 1, 1, 1 },
			},
		},
		healthBar =
		{
			texture			= "Blizzard",
			alpha			= 0.9,
			colorByClass	= true,
			groupOnly		= false,
			width			= 115,
			height			= 11,
			colors =
			{
				friendlyPlayer	= { 0, 0, 1 },
				friendlyNPC		= { 0, 1, 0 },
				friendlyBoss	= { 0, 1, 0 },
				hostile			= { 1, 0, 0 },
				hostileBoss		= { 1, 0, 0 },
				neutral			= { 1, 1, 0 },
				groupPet		= { 1, 0.5, 1 },
			},
		},
		healthText = 
		{
			visible			= true,
			alpha			= 1,
			point			= "RIGHT",
			relativeToPoint	= "RIGHT",
			offsetX			= 0,
			offsetY			= 0,
			font			= "Arial Narrow",
			fontSize		= 9,
			shadow			= false,
			outline			= "Normal",
			mode			= "Hidden",
			color			= { 1, 1, 1 }
		},
		overlay =
		{
			visible				= true,
			color				= { 0.25, 0.25, 0.25, 0.5 },
			texture				= "Blizzard",
			horizontalPadding	= 0,
			verticalPadding		= 0,
			emulateBackground	= true,
		},
		highlight =
		{
			color			= { 1, 1, 0, 0.25 },
			texture			= "Blizzard",
			blendMode		= "ADD",
		},
		raidIcon = 
		{
			visible			= true,
			alpha			= 1,
			point			= "RIGHT",
			relativeToPoint	= "LEFT",
			offsetX			= 0,
			offsetY			= 0,
			size			= 12
		},
		bossIcon = 
		{
			visible			= true,
			alpha			= 1.0,
			point			= "CENTER",
			relativeToPoint	= "CENTER",
			offsetX			= 0,
			offsetY			= 0,
			size			= 12
		},
		castBar =
		{
			offsets =
			{
				left		= 12,
				right		= 0,
				vertical	= -2,
			},
			hideExpired		= true,
			height			= 10,
			texture			= "Blizzard"
		},		
		castBarOverlay =
		{
			visible				= true,
			color				= { 0.25, 0.25, 0.25, 0.5 },
			texture				= "Blizzard",
			horizontalPadding	= 0,
			verticalPadding		= 0,
			emulateBackground	= true,
		},
		castBarText = 
		{
			visible			= true,
			font			= "Arial Narrow",
			fontSize		= 9,
			shadow			= true,
			alignment		= "LEFT",
			outline			= "None",
			offsets =
			{
				left		= 0,
				right		= 0,
				vertical	= 0,
			},
			color			= { 1, 1, 1, 1 }
		},
		castBarTimeText = 
		{
			visible			= true,
			font			= "Arial Narrow",
			fontSize		= 9,
			shadow			= true,
			alignment		= "RIGHT",
			outline			= "None",
			offsets =
			{
				left		= 0,
				right		= 0,
				vertical	= 0,
			},
			color			= { 1, 1, 1, 1 }
		},
		spellIcon = 
		{
			visible			= true,
			point			= "RIGHT",
			relativeToPoint	= "LEFT",
			offsetX			= 0,
			offsetY			= 0,
			size			= 12
		},
		levelText =
		{
			visible			= true,
			font			= "Arial Narrow",
			fontSize		= 8,
			outline			= "Normal",
			point			= "RIGHT",
			relativeToPoint	= "RIGHT",
			offsetX			= 0,
			offsetY			= 0,
		},
		
		reportStatusChanges = true,
	}
)

-----------------------------------------------------------------------------
